Download it now!
Bug 89686 - "undo" mess up previous Conditional Format-ranges
Summary: "undo" mess up previous Conditional Format-ranges
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2015-02-26 14:33 UTC by karolus
Modified: 2019-03-27 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karolus 2015-02-26 14:33:42 UTC
1) set, for Example in Range A1:D10, some Conditional Format→Condition..

2) select B5:B8 and add some hard Formatting

3) "UNDO" Step 2)


→→Conditional Format for Range A1:D10 is messed up!
Look into Conditional Format-Settings, the Range A1:D10 is splitted into several Subranges A1:D4, A5:A10, B5:B8, B9:B10, C5:D10


propably depends on fix for bug 
https://bugs.documentfoundation.org/show_bug.cgi?id=77381
??
Comment 1 raal 2015-02-27 10:16:17 UTC
I can confirm with LO 4.4.0.3, win7
Comment 2 tommy27 2016-04-16 07:24:31 UTC Comment hidden (obsolete)
Comment 3 tmacalp 2016-07-13 19:22:16 UTC
I can confirm that this still affects LO 5.2.0.2.  Even though this is a rather minor bug, I find it quite annoying.  

I have large spreadsheets that uses conditional formatting to warn me about duplicates over hundreds of rows of serial numbers.  Through normal use, I now have a couple dozen rules that are equivalent to my initial 4.
Comment 4 QA Administrators 2018-03-25 02:29:25 UTC Comment hidden (obsolete)
Comment 5 Xavier Van Wijmeersch 2018-03-25 12:23:12 UTC
no repro with

Version: 6.1.0.0.alpha0+
Build ID: 1fbe46cf08f525e78016feef83f4c38b79b337ba
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-24_23:04:38
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 7422687028d33a9a4029aeb9265bc59578f5aef9
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

but still can be produced with 5.3.2.1 to 6.0.4

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.4.0.0+
Build ID: 90fb652ebbc4b16ae5001140076f52209e913345
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 6 QA Administrators 2019-03-27 03:40:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug